branch.cc File Reference

`branch` - handle a family of fields More...

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Typedefs

typedef field::size_type | size_type

## Enumerations

enum | render_type { text_render , paraview_render , vtk_render , plotmtv_render , gnuplot_render , toc_render , no_render , gnuplot_render , paraview_render , plotmtv_render , vtk_render , atom_render , x3d_render , file_render , no_render , gnuplot_render , paraview_render , plotmtv_render , vtk_render , gmsh_render , atom_render , x3d_render , file_render }

## Functions

void | usage ()
field_basic< Float, sequential > | proj (const field_basic< Float, sequential > &uh, bool do_lumped_mass)
void | extract (idiststream &in, odiststream &out, bool do_proj, bool do_lumped_mass, size_type extract_id, const Float &scale_value)
void | put (idiststream &in, odiststream &out, bool do_proj, bool do_lumped_mass, bool def_fill_opt, size_type extract_id, const Float &scale_value, const std::pair< Float, Float > &u_range, render_type render)
void | set_input_format (idiststream &in, std::string input_format)
int | main (int argc, char **argv)

## Detailed Description

`branch` - handle a family of fields

Definition in file branch.cc.

## Typedef Documentation

## size_type

typedef field::size_type size_type

Definition at line 425 of file branch.cc.

## Enumeration Type Documentation

## render_type

enum render_type

Enumerator
text_render |
paraview_render |
vtk_render |
plotmtv_render |
gnuplot_render |
toc_render |
no_render |
gnuplot_render |
paraview_render |
plotmtv_render |
vtk_render |
atom_render |
x3d_render |
file_render |
no_render |
gnuplot_render |
paraview_render |
plotmtv_render |
vtk_render |
gmsh_render |
atom_render |
x3d_render |
file_render |

Definition at line 491 of file branch.cc.

## Function Documentation

## usage()

void usage | ( |  | ) |

Definition at line 388 of file branch.cc.

## proj()

field_basic<Float,sequential> proj | ( | const field_basic< Float, sequential > & | uh,
|  | bool | do_lumped_mass
| ) |  |

Definition at line 428 of file branch.cc.

## extract()

void extract | ( | idiststream & | in,
|  | odiststream & | out,
|  | bool | do_proj,
|  | bool | do_lumped_mass,
|  | size_type | extract_id,
|  | const Float & | scale_value
| ) |  |

Definition at line 462 of file branch.cc.

## put()

void put | ( | idiststream & | in,
|  | odiststream & | out,
|  | bool | do_proj,
|  | bool | do_lumped_mass,
|  | bool | def_fill_opt,
|  | size_type | extract_id,
|  | const Float & | scale_value,
|  | const std::pair< Float, Float > & | u_range,
|  | render_type | render
| ) |  |

Definition at line 500 of file branch.cc.

## set_input_format()

void set_input_format | ( | idiststream & | in,
|  | std::string | input_format
| ) |  |

Definition at line 569 of file branch.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 578 of file branch.cc.